Subject: bug#17351: Trunk emacs splats .emacs.desktop at startup

From: Juri Linkov <[email-masked]>
Date: Fri, 04 Jul 2014 02:35:00 +0300

>> But another case is when the errors are in the init file, and the buffer
>> *Warnings* is displayed.  The remaining problem is that the buffer
>> *Warnings* becomes hidden behind the restored window configuration,
>> so the user has no indication about the errors in the init file.
>
> That seems unrelated to this report?

Fortunately, it doesn't cause the desktop file corruption,
so I created a separate bug#17927.

It seems for this bug#17351 to be closed, what remains to do is
to generate a backup copy of the desktop file.  I see two ways:

1. manually write a backup file once after reading the desktop
   and locking it.  This solution fits into the current design
   of desktop.el.

2. Use normal mechanisms of making a backup and locking
   by using save-buffer instead of write-region, but this
   will cause more problems (including in the recentf list, etc.)